
QGIS Application - Feature request #2155

API request: add getGeometry method to QgsRubberBand()

2009-11-27 12:33 AM - luca76 -

Status: Closed

Priority: Low

Assignee:

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12215

Description

hi, I suggest and API change: add a getGeomtery to return the Geometry of [[QgsRubberBand]]()

History

#1 - 2010-08-24 11:51 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

[[QgsRubbberband]]::asGeometry() added in commit:29fa6f29 (SVN r14072).

#2 - 2010-08-25 02:16 AM - luca76 -

thank you. But I saw the code regarding [[QgsRubberBand]], and with only one point it should return a [[QgsPoint]].

Or am I wrong?
